Subject: Illustrated Perennial Book

From: [email-masked] (Rick Schoen)
Date: Wed, 25 May 1994 13:42:24 GMT

I have found the following book to be extremely helpful: "Pictorial Guide to Perennials" by M. Jane Coleman Helmer and Karla S. Decker, 1991 (Fourth Printing January 1992), Kalamazoo: Merchants Publishing Company. It cost $12.95 at our local garden center. In addition to containing an alphabetical listing of perennials, most with color photos, the authors have also included lists for sunny spots, shade gardens, moist soils, dry soils, etc. The index is also very helpful list plants by both Latin and popula

r names.

-- 
Rick Schoen, Production Controller, The Astrophysical Journal
The University of Chicago Press      [email-masked]
"Many people are fond of accounts of old Buildings and Monuments, but for me I confess that if I could find in my travels a receipt for making Parmesan Cheese, it would give me more satisfaction than a transcript from any inscription from any Stone whatev
er." --Benjamin Franklin